#
# =======================================================================
# PACKAGE:	fstat -- Print File Status
# SH-PROC:	Demo Script #1 (mimic "ls -ld" ... a bit, at least)
# VERSION:	%R% (%E%)
# =======================================================================
# Copyright (1994): Martin Weitzel, Darmstadt, Germany
#
# This demo scripts shows how to obtain output from "fstat" that
# resembles "ls -ld".  Not that this is NOT the most useful mode of
# operation "fstat" offers, but it has at least *ONE* advantage over
# "ls -ld".  The format of the date column is more regular as that of
# "ls -l" and hence lends itself much more to post-processing.

for p
do
	echo $p
done |
fstat '+%T''%P %3n %-8U %-8G %9s %M %F'
